﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 190II Get Vertical Gain RS-232 /5500
DATE:                  2018-01-03 14:24:38
AUTHOR:                Fluke
REVISION:              $Revision: 22066 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       80
CONFIGURATION:         Fluke 5500A
=============================================================================
#
#  Procedure Author:
#        VY, DAC
#
#  Models covered:
#        ScopeMeter® 190 Series II
#        Fluke 190-062, -102, -202, -104, -204, -502, -504, 190-502
#        Tektronix THS3000 Series Oscilloscopes
#        THS3014, THS3024
#
#  Compatibility:
#        MET/CAL 8.0 and later
#
# This procedure is intended for use with MET/CAL® calibration software; the
# terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Average off; apply positive output of half nominal; average on; get result.
  1.001  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  1.002  JMPL         END                          @Abort
  1.003  PORT         #0[160][38][0][2][0][3][3]
  1.004  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  1.005  JMPL         END                          @Abort
  1.006  MATH         MEM = @Nominal / 2
  1.007  5500         V                                                 S  2W
  1.008  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  1.009  JMPL         END                          @Abort
  1.010  PORT         #0[160][38][0][2][1][3][4]
  1.011  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  1.012  JMPL         END                          @Abort
  1.013  MATH         @Cmd = "QM 74"
  1.014  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  1.015  JMPL         END                          @Abort
  1.016  MATH         ValuePos = MEM; AccPos = REFACC()
# Average off; apply negative output of half nominal; average on; get result.
  1.017  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  1.018  JMPL         END                          @Abort
  1.019  PORT         #0[160][38][0][2][0][3][3]
  1.020  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  1.021  JMPL         END                          @Abort
  1.022  MATH         MEM = @Nominal / 2 * (-1)
  1.023  5500         V                                                 S  2W
  1.024  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  1.025  JMPL         END                          @Abort
  1.026  PORT         #0[160][38][0][2][1][3][4]
  1.027  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  1.028  JMPL         END                          @Abort
  1.029  MATH         @Cmd = "QM 74"
  1.030  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  1.031  JMPL         END                          @Abort
# Calculate the final measurment to nominal.
  1.032  MATH         MEM = ValuePos - MEM
# Calculate system accuracy by retrieving positive output system accuracy and
# multiplying by SQRT(2) due to 2(±) readings.
  1.033  MATH         @SysAcc = AccPos * SQRT(2)

  1.034  LABEL        END
  1.035  END
